import glob
import os
import shutil

for directory in glob.glob("workspace/*"):
    with open(f"{directory}/filename.txt",'r') as file_handle:
        search_string = file_handle.readline()

        if os.path.isfile(f"{directory}/OK"):
                basedir = os.path.dirname(search_string)
                if len(basedir) > 0:
                    os.makedirs(f"export/{basedir}", exist_ok=True)
                    shutil.copy2(f"{directory}/aneksajo_patched", f"export/{search_string}")
        else:
            print(f"{directory}/OK not found")
